#include "exInt.hpp"



void ExInt::exIntInit(EXTITrigger_TypeDef triggerart){
	  GPIO_InitTypeDef GPIO_InitStructure;
	  EXTI_InitTypeDef EXTI_InitStructure;
	  NVIC_InitTypeDef NVIC_InitStructure;

	  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA | RCC_APB2Periph_AFIO, ENABLE);

	  //interrupt pin einstellen
	  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0;
	  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING;
	 // GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz; //muss bei AFIO GPIO_Speed eingestellt werden?, funktioniert iwie auch ohne
	  GPIO_Init(GPIOA, &GPIO_InitStructure);

	  GPIO_EXTILineConfig(GPIO_PortSourceGPIOA, GPIO_PinSource0);

	  EXTI_InitStructure.EXTI_Line = EXTI_Line0;
	  EXTI_InitStructure.EXTI_Mode = EXTI_Mode_Interrupt;
	  EXTI_InitStructure.EXTI_Trigger = triggerart;
	  EXTI_InitStructure.EXTI_LineCmd = ENABLE;
	  EXTI_Init(&EXTI_InitStructure);

	  NVIC_PriorityGroupConfig(NVIC_PriorityGroup_4);

	  NVIC_InitStructure.NVIC_IRQChannel = EXTI0_IRQn;
	  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;
	  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0x0F;
	  NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0x0F;
	  NVIC_Init(&NVIC_InitStructure);
}

bool ExInt::askexInt(void){
	if(exIntFlag){
		exIntFlag = 0;
		return true;
	}
	return false;
	ledToggle();
}
